# Registration Groups Registration Groups ## Creates a new registration group record that does not already exist. - [POST /registrationGroups/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/createregistrationgroup.md): This method will auto-generate an ID and create a new registration group. If an ID is specified for the registration group, an error will be thrown. ## Returns a list of records with the specified administrator_id - [GET /registrationGroups/{tenantId}/administrator/{event_id}/{administrator_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/listgroupsbyadministratorid.md): Returns a list of records with the specified administrator_id ## Execute Batch Operations - [POST /registrationGroups/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified administrator_id - [GET /registrationGroups/{tenantId}/contact/{groupId}/{administratorId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/getgroupcontact.md): Returns a list of records with the specified administrator_id ## Searches for registration groups using predefined parameters - [POST /registrationGroups/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/searchforregistrationgroups.md): Searches for registration groups using predefined parameters ## Returns a registration group from the system by its ID. - [DELETE /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/deleteregistrationgroup.md): This method will delete a registration group with the specified ID. ## Returns a registration group from the system by its ID. - [GET /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/getregistrationgroup.md): This method will look up a registration group by the specified ID and return it back. ## Partially updates a registration group with the specified ID. - [PATCH /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/patchregistrationgroup.md): This method will patch an existing registration group with the specified ID, using the HTTP PATCH specification. ## Updates a registration group with the specified ID. - [PUT /registrationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-groups/updateregistrationgroup.md): This method will update an existing registration group with the specified ID.